# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mysender/version'

Gem::Specification.new do |spec|
  spec.name          = "mysender"
  spec.version       = Mysender::VERSION
  spec.authors       = ["Donald Chiang"]
  spec.email         = ["dc@mynet.com.tw"]
  spec.summary       = %q{Send email via Gmail and send SMS}
  spec.description   = %q{m = Mysender::Mail.new(API_KEY) and then m.deliver(:emails => 'to@example.com', :subject => 'SUBJECT', :body => 'BODY', :reply_to => 'REPLY_TO if you want')}
  spec.homepage      = "http://sender.mynet.com.tw"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
end
